Package: org.codehaus.groovy.runtime.powerassert

## [Java] Class PowerAssertionError

- org.codehaus.groovy.runtime.powerassert.PowerAssertionError

- Indicates that a power assertion has failed.

  Authors:
    Peter Niederwieser

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PowerAssertionError (String msg)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AssertionError` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Error` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public PowerAssertionError(String msg)

  - ### Method Detail

    - #### @Override public String toString()